<?php 
// +----------------------------------------------------------------------+
// | EMS NG Troubleshooting Checker scripts                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2013 VDL-5 Technologies Inc.                           |
// |                                                                      |
// +----------------------------------------------------------------------+
// | Authors: Tamara S Harpster <harpstert@vdl5tech.com                   |
// +----------------------------------------------------------------------+
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
 
 $header = "<html>	
			<head>		
				<title>EMS NG Troubleshooting Checker Tool</title>
			</head>	
			<body style='font-family: Arial' scroll='auto'>";
			
$logoStart = "<div ALIGN='right'><a href='http://emsng.vdl5tech.com' target='_blank'><img src='images/hi_quality_logo_300dpi.png'  border='0' /></a></div>	
				<div align='right' style='font-size:16 pt'><a href='help.html' target='cleanup_window'>Help</a></div>	

				<hr size='1'>";
 
// +----------------------------------------------------------------------+
// | Function scanDirectories                                             |
// +----------------------------------------------------------------------+			
			function scanDirectories($rootDir, $allData=array()) {
				global $ext;
				// set filenames invisible if you want
				$invisibleFileNames = array(".", "..", ".htaccess", ".htpasswd", ".svn");
				// run through content of root directory
				$dirContent = scandir($rootDir);
				foreach($dirContent as $key => $content) {
					// filter all files not accessible
					$path = $rootDir.'/'.$content;
					if(!in_array($content, $invisibleFileNames)) {
						if(is_dir($path) && is_readable($path)) {
							// recursive callback to open new directory
							$allData[] = $path;
						}
					}
				}
				return $allData;
			}
// +----------------------------------------------------------------------+
// | Function scanFiles                                                   |
// +----------------------------------------------------------------------+	
function scanFiles($rootDir, $allowext, $allData=array()) {
    $dirContent = scandir($rootDir);
    foreach($dirContent as $key => $content) {
        $path = $rootDir.'/'.$content;
        $ext = substr($content, strrpos($content, '.') + 1);
        if(in_array($ext, $allowext)) {
            if(is_file($path) && is_readable($path)) {
                $allData[] = $path;
            }elseif(is_dir($path) && is_readable($path)) {
                // recursive callback to open new directory
                $allData = scanDirectories($path, $allData);
            }
        }
    }
    return $allData;
}
?>