<?php 
// +----------------------------------------------------------------------+
// | EMS NG Troubleshooting Checker scripts                               |
// +----------------------------------------------------------------------+
// | Copyright (c) 2013 VDL-5 Technologies Inc.                           |
// |                                                                      |
// +----------------------------------------------------------------------+
// | Authors: Tamara S Harpster <harpstert@vdl5tech.com                   |
// +----------------------------------------------------------------------+
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */
 
include 'common.inc';

$installPage = $_GET['installpage'];
$defaultDrive = "C:";
	

				
// First page of configuration installation - Get base directory information
$ietmDir = "";
$tempDir = "";

if (is_null($installPage)) {
	$installPage = "1";
	$ietmDir = $defaultDrive;
	$tempDir = $defaultDrive;
} else {
	$ietmDir = stripslashes($_GET['ietmdir']);
	$tempDir = stripslashes($_GET['tempdir']);
}
if ($installPage=="1") {
print ($header."EMS NG Troubleshooting Checker Install Wizard - Start".$logoStart);

			print ("<p>Welcome to the EMS NG Troubleshooting Checker Tool Install Wizard. This is the install wizard which set ups the tool for your IETM configuration.</p>
				<hr size='1'>
				<script src='jquery.js'></script>
				<script src='jqueryFileTree/jqueryFileTree.js'></script>
				<link href='jqueryFileTree/jqueryFileTree.css' rel='stylesheet' type='text/css' media='screen' />
				");
	print ("<script language='JavaScript'>
		function setdir(dir, element) {
			var inputDir = document.getElementById(element);
			inputDir.value = dir;
		}
		</script>");

	

	print ("<form action='install.php'  method='get'>");
	print "<input type='hidden' name='installpage' value='2'>";
	print ("<p><strong>Select the directory that contains your IETM(s):</strong></p>
			<p> <strong>Current IETM Directory: </strong><INPUT id='ietmdir' NAME='ietmdir' TYPE='text' value='".$ietmDir."'></p>");
				
	
	print ("<script language='JavaScript'>
$(document).ready( function() {
    $('#container_id').fileTree({
        root: '".$defaultDrive."',
        script: 'jqueryFileTree/connectors/jqueryFileTree.php',
        multiFolder: false
    }, function(file) {
        alert(file);
    }, function(dir){
        setdir( dir, 'ietmdir');
    });
});
		</script>
		<div id='container_id'></div>
				"); 

	print ("<p>
				<input type='submit' name='op' value='Next >'/><br>
				</form>");
	print ("</body>
			</html>");
			
//Second page of configuration installation - Pick out directories to do changes on
} elseif ($installPage == "2") {
	$ietmDir = stripslashes($_GET['ietmdir']);
	$tempDir = stripslashes($_GET['tempdir']);
print ($header."EMS NG Troubleshooting Checker Install Wizard - Select IETM(s)".$logoStart);

	print ("<form action='install.php'  method='get'>");
	print "<input type='hidden' name='installpage' value='3'>";
	print "<input type='hidden' name='tempdir' value='".$tempDir."'>";
	print "<input type='hidden' name='ietmdir' value='".$ietmDir."'>";
	print ("<p><strong>Select the IETM(s) you want to use the tool with.</strong></p>
	<p>Type in the name you want to use to identify the IETM in the Clean Up Tool.</p>");
	
	$all_files = scanDirectories($ietmDir);
	$clean_files = str_ireplace($ietmDir."/", "" , $all_files);
	print ("\r\n<table>");
	foreach ($clean_files as $infile){ 
		echo "\r\n<tr><td><INPUT NAME='".$infile."' TYPE='CHECKBOX'>&nbsp;".$infile."</td><td>&nbsp; </td><td><input name='".$infile."_text' type='text' value='".substr($infile,strrpos($infile,"\\"))."'></td></tr>\r\n";
		
	}
	print ("</table>\r\n");
				
	print ("<input type='submit' name='op' value='Next >'/><br>
			</form>");
	print ("</body>
			</html>");
// Third page of configuration installation	- Display the chosen settings for confirmation
}  elseif ($installPage == "3") {
	$ietmDir = stripslashes($_GET['ietmdir']);
	$tempDir = stripslashes($_GET['tempdir']);
print ($header."EMS NG Troubleshooting Checker Install Wizard - Review Settings".$logoStart);
	print ("<strong>Settings chosen for IETM configuration:</strong>");
	print ("<ul>
			<li>IETM Directory: <strong>".$ietmDir."</strong></li>
			<li>Temporary Directory: <strong>".$tempDir."</strong></li></ul>");
			
	$clean_files = array_keys( $_GET, "on");
	$buildStr = "";
	
	print ("<table>\r\n<tr><td><strong>IETM Directory</strong></td><td>&nbsp; </td><td><strong>Reference Name</strong></td></tr>");
	for ($i=0;$i< count($clean_files);$i++) {
		$ptr = $clean_files[$i]."_text";
		print ("<tr><td>".$clean_files[$i]."</td><td>&nbsp; </td><td>".$_GET[$ptr]."</td></tr>\r\n");
		$buildStr = $buildStr."&".urlencode($clean_files[$i])."=on&".$ptr."=".urlencode($_GET[$ptr]);
	}
	print ("</table><br><br>
	<a href='install.php?installpage=1&tempdir=".$tempDir."&ietmdir=".$ietmDir.$buildStr."'>Click here to change shown above configuration settings.</a><br>
	<a href='install.php?installpage=4&tempdir=".$tempDir."&ietmdir=".$ietmDir.$buildStr."'>Click here to create configuration file.</a>");
	print ("</body>
			</html>");
			
// Fourth page of configuration installation - Create and store the config file
} elseif ($installPage == "4") {
	$ietmDir = $_GET['ietmdir'];
	$tempDir = $_GET['tempdir'];
print ($header."EMS NG Troubleshooting Checker Install Wizard - Configuration File Creation Status".$logoStart);
	// read in the configuration file template
	$cleanConfigFile = file_get_contents("./default.config.inc");
					// pull in the entities for replacement in the file

	$clean_files = array_keys( $_GET, "on");
	// var_dump($clean_files);
	$buildStr = "";
	for ($i=0;$i< count($clean_files);$i++) {
		$ptr = $clean_files[$i]."_text";
		// \r\n$ietms[".$clean_files[$i]."]['descr']=\"".$_GET[$ptr]."\";\r\n
		$buildStr = $buildStr."\$ietms['".$clean_files[$i]."']['dir']=\"".$clean_files[$i]."\";\r\n\$ietms['".$clean_files[$i]."']['descr']=\"".$_GET[$ptr]."\";\r\n";
	}	
	// var_dump($buildStr);
	$searchArr = array();
	$replaceArr = array();
	
	// print ("Last backslash in ietmdir:".$ietmDir.":".strripos($ietmDir,"\\").":".strlen($ietmDir).":".strripos($ietmDir."\\","\\"));
	// print ("<br>current directory:".getcwd().":");
	$searchArr[] = "'\{ietmdir\}'";
	if (strripos($ietmDir,"\\") != strlen($ietmDir)) {
		$ietmDir = $ietmDir."\\\\";
	}
	$replaceArr[] = addslashes($ietmDir);
	$searchArr[] = "'\{tempdir\}'";
	$replaceArr[] = addslashes($tempDir);
	$searchArr[] = "'\{ietms\}'";
	$replaceArr[] = $buildStr;	
	$searchArr[] = "'\{installdir\}'";
	$replaceArr[] = addslashes(getcwd());	
	$workfile = preg_replace($searchArr, $replaceArr , $cleanConfigFile); 
	// var_dump($workfile);
	
	if (file_put_contents(".\\config.inc", $workfile) === FALSE) {
		print "<br>problems writing file config.inc file"."<br>";
	} else {
		print "<br>writing file config.inc...<br>";
	}
		print ("<strong>Configuration file created, click link below to start using software.</strong>");
	print ("<p><a href='index.php'>Click here to use start Clean Up Tool.</a>");
	print ("</body>
			</html>");
} else {
print ("bupkus");


}

?>